{
  "extends": "eslint:recommended",
  "env": {
    "es6": true,
    "browser": true,
    "node": true,
    "jest": true,
    "jasmine": true
  },
  "parserOptions": {
    "sourceType": "module"
  },
  "globals": {
    "ENV": false
  },
  "rules": {
    "indent": "off",
    "no-console": [
      "error",
      {
        "allow": [
          "error",
          "log",
          "trace",
          "warn"
        ]
      }
    ],
    "no-restricted-properties": "off",
    "no-trailing-spaces": [
      "error",
      {
        "skipBlankLines": true
      }
    ],
    "no-useless-escape": "off",
    "object-shorthand": "error",
    "prefer-arrow-callback": "error",
    "prefer-spread": "error",
    "prefer-template": "error",
    "quotes": [
      "error",
      "single"
    ],
    "require-yield": "error",
    "semi": [
      "error",
      "always"
    ],
    "strict": [
      "error",
      "never"
    ]
  }
}
